Package com.independentsoft.office.odf

# Class IndexOfIllustrationsSource

java.lang.Object
com.independentsoft.office.odf.IndexOfIllustrationsSource

public class IndexOfIllustrationsSource extends Object
Represents how an index of illustrations is generated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexOfIllustrationsSource()`
  Initializes a new instance of the IndexOfIllustrationsSource class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IndexOfIllustrationsSource`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `CaptionSequenceFormat`
  `getCaptionSequenceFormat()`
  Gets the format of entries for the index of illustrations obtained from the image captions.
  `String`
  `getCaptionSequenceName()`
  Gets the sequence by which captions are identified.
  `List<IllustrationIndexEntryTemplate>`
  `getEntryTemplates()`
  Contains a collection of IllustrationIndexEntryTemplate objects.
  `IndexScope`
  `getIndexScope()`
  Specifies whether an index is constructed for an entire document or for a chapter.
  `List<IndexSourceStyles>`
  `getIndexSourceStyles()`
  Contains a collection of IndexSourceStyles objects.
  `IndexTitleTemplate`
  `getIndexTitleTemplate()`
  Gets the style and content of the index title.
  `boolean`
  `isRelativeTabStopPosition()`
  Specifies whether the position of tab stops is relative to the left margin or to the left indent as determined by the paragraph style.
  `void`
  `setCaptionSequenceFormat​(CaptionSequenceFormat captionSequenceFormat)`
  Sets the format of entries for the index of illustrations obtained from the image captions.
  `void`
  `setCaptionSequenceName​(String captionSequenceName)`
  Sets the sequence by which captions are identified.
  `void`
  `setIndexScope​(IndexScope indexScope)`
  Specifies whether an index is constructed for an entire document or for a chapter.
  `void`
  `setIndexTitleTemplate​(IndexTitleTemplate indexTitleTemplate)`
  Sets the style and content of the index title.
  `void`
  `setRelativeTabStopPosition​(boolean isRelativeTabStopPosition)`
  Specifies whether the position of tab stops is relative to the left margin or to the left indent as determined by the paragraph style.
  `void`
  `setUseCaption​(boolean useCaption)`
  Specifies whether the captions or names of illustrations or tables are used for an index.
  `String`
  `toString()`
  Converts the value of the current IndexOfIllustrationsSource object to its equivalent string representation.
  `boolean`
  `useCaption()`
  Specifies whether the captions or names of illustrations or tables are used for an index.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IndexOfIllustrationsSource

    public IndexOfIllustrationsSource()
    Initializes a new instance of the IndexOfIllustrationsSource class.

- ## Method Details

  - ### clone

    public IndexOfIllustrationsSource clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current IndexOfIllustrationsSource object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getEntryTemplates

    public List<IllustrationIndexEntryTemplate> getEntryTemplates()
    Contains a collection of IllustrationIndexEntryTemplate objects.
    Returns:
      the entry templates

  - ### getIndexSourceStyles

    public List<IndexSourceStyles> getIndexSourceStyles()
    Contains a collection of IndexSourceStyles objects.
    Returns:
      the index source styles

  - ### getIndexTitleTemplate

    public IndexTitleTemplate getIndexTitleTemplate()
    Gets the style and content of the index title.
    Returns:
      the index title template

  - ### setIndexTitleTemplate

    public void setIndexTitleTemplate​(IndexTitleTemplate indexTitleTemplate)
    Sets the style and content of the index title.
    Parameters:
      `indexTitleTemplate` - the new index title template

  - ### useCaption

    public boolean useCaption()
    Specifies whether the captions or names of illustrations or tables are used for an index. The defined values are: -false: illustration or table names are used for an index. -true: illustration or table captions are used for an index.
    Returns:
      true, if successful

  - ### setUseCaption

    public void setUseCaption​(boolean useCaption)
    Specifies whether the captions or names of illustrations or tables are used for an index. The defined values are: -false: illustration or table names are used for an index. -true: illustration or table captions are used for an index.
    Parameters:
      `useCaption` - the new use caption

  - ### getCaptionSequenceName

    public String getCaptionSequenceName()
    Gets the sequence by which captions are identified.
    Returns:
      the caption sequence name

  - ### setCaptionSequenceName

    public void setCaptionSequenceName​(String captionSequenceName)
    Sets the sequence by which captions are identified.
    Parameters:
      `captionSequenceName` - the new caption sequence name

  - ### getCaptionSequenceFormat

    public CaptionSequenceFormat getCaptionSequenceFormat()
    Gets the format of entries for the index of illustrations obtained from the image captions.
    Returns:
      the caption sequence format

  - ### setCaptionSequenceFormat

    public void setCaptionSequenceFormat​(CaptionSequenceFormat captionSequenceFormat)
    Sets the format of entries for the index of illustrations obtained from the image captions.
    Parameters:
      `captionSequenceFormat` - the new caption sequence format

  - ### getIndexScope

    public IndexScope getIndexScope()
    Specifies whether an index is constructed for an entire document or for a chapter.
    Returns:
      the index scope

  - ### setIndexScope

    public void setIndexScope​(IndexScope indexScope)
    Specifies whether an index is constructed for an entire document or for a chapter.
    Parameters:
      `indexScope` - the new index scope

  - ### isRelativeTabStopPosition

    public boolean isRelativeTabStopPosition()
    Specifies whether the position of tab stops is relative to the left margin or to the left indent as determined by the paragraph style. The defined values are: -false: paragraph style does not determine position of tab stops relative to the left margin or left ident. -true: paragraph style determines the position of tab stops relative to the left margin or left ident.
    Returns:
      true, if is relative tab stop position

  - ### setRelativeTabStopPosition

    public void setRelativeTabStopPosition​(boolean isRelativeTabStopPosition)
    Specifies whether the position of tab stops is relative to the left margin or to the left indent as determined by the paragraph style. The defined values are: -false: paragraph style does not determine position of tab stops relative to the left margin or left ident. -true: paragraph style determines the position of tab stops relative to the left margin or left ident.
    Parameters:
      `isRelativeTabStopPosition` - the new relative tab stop position